import { ColorMode } from "./Color.js";
var Shadow = /* @__PURE__ */ ((Shadow2) => {
  Shadow2["NONE"] = "NONE";
  Shadow2["S"] = "S";
  Shadow2["M"] = "M";
  Shadow2["L"] = "L";
  Shadow2["XL"] = "XL";
  return Shadow2;
})(Shadow || {});
const shadowsByColorMode = {
  [ColorMode.DARK]: {
    NONE: null,
    S: ["0px 0px 32px var(--theme-ui-colors-Purple16)", "0px 0px 16px var(--theme-ui-colors-Turquoise8)"],
    M: ["0px 0px 24px var(--theme-ui-colors-Purple32)", "0px 0px 16px var(--theme-ui-colors-Turquoise16)"],
    L: ["0px 0px 48px var(--theme-ui-colors-Purple32)", "0px 0px 24px var(--theme-ui-colors-Turquoise16)"],
    XL: ["0px 0px 64px var(--theme-ui-colors-Purple32)", "0px 0px 32px var(--theme-ui-colors-Turquoise16)"]
  },
  [ColorMode.LIGHT]: {
    NONE: null,
    S: ["0px 0px 8px var(--theme-ui-colors-Midnight8)"],
    M: ["0px 0px 24px var(--theme-ui-colors-Midnight8)", "0px 0px 8px var(--theme-ui-colors-Midnight4)"],
    L: ["0px 0px 32px var(--theme-ui-colors-Midnight16)", "0px 0px 8px var(--theme-ui-colors-Midnight8)"],
    XL: ["0px 0px 64px var(--theme-ui-colors-Midnight32)", "0px 0px 8px var(--theme-ui-colors-Midnight16)"]
  }
};
export {
  Shadow,
  shadowsByColorMode
};
